#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-#
#  Configuration file for "Backup". #
#  @author Domenic Horner (gamerx)  #
#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-#

#======== Backup Settings ==========#

## How often show the backup run? (Default: "15M" / 15 Minutes)
# (Note: -1 or 0 will disable automatic backups.)
# Format: [Time][M-Minutes, H-Hours, D-Days, W-Weeks]
backupinterval: 1H

## Enable scheduled save-all? (Default: "0" / Off)
# (Note: -1 or 0 disables this feature.)
# Format: [Time][M-Minutes, H-Hours, D-Days, W-Weeks]
saveallinterval: 1H

## How many backups are retained? (Default: 25)
# If this limit is hit, the oldest backup(s) will be removed.
# (Note: -1 or 0 disables this feature.)
# This can also be a max size, Format: [Size][K-KiloBytes, M-MegaBytes, G-GigaByes]
maxbackups: 25

## Should backups be performed on an empty server? (Default: false)
# When the last player leaves the server, a final backup will be made. The automatic backup cycle will resume when a player re-joins.
backupemptyserver: false

## Should the backup stop the schedule after the first backup? (Default: false)
# If enabled, one backup will be performed at the time specified under backupinterval.
norepeat: false

## Option to always perform a /save-all on backup schedule. (Default: false)
# If false, /save-all's are only performed when a backup is required.
alwayssaveall: true

## If permissions system is un-available, should everyone be able to access all commands, or just ops? (Default: true)
# If set to false, all players will be able to perform all commands, unless you use a permissions system.
onlyops: true

## Should the bypass node be ignored? (Default: false)
# If this is true, even if all players have the "backup.bypass" permissions node, the backup will still continue.
ignorebypass: true

## Enables the auto-save function after the backup. (Defualt: true)
# Note: If you set this to false, this plugin will backup your worlds but not save the data from the memory to your hard disc. If the server crashes between
# backups, all work is lost. Disable if you use another plugin to save the world to disk (EG: autosave).
enableautosave: true

## Should we backup the entire folder? (Default: false)
# Use with caution, as this will be a long, large backup, it automatically ignores the backup folder, so it can still be in the server folder.
# Using this will ignore "backupworlds", "backupplugins", "skipworlds", "skipplugins", and "splitbackup"
backupeverything: false


#======== File & Location Settings ==========#

## Directory to store backup in. (Default: backups)
# Note: Path can be relative, or absolute. ('D:\Backups', '/var/backups', 'altbackups', and '~/backups' are all valid)
backuppath: backups

## Do we use the temp folder when doing backup? (Default: true)
usetemp: true

## Name for the temp folder. (Default: none)
# This stores tempoary files while backup is in progress.
# Note: Path can be relative, or absolute. ('D:\temp', '/tmp', 'temp', and '~/backups/temp' are all valid)
# If this is not set, it defaults to a temp folder under the backups folder.
tempfoldername: temp

## Whether to ZIP Backups or not. (Default: true)
# If enabled, backups will be compressed and stored in a ZIP archive named with the current timestamp.
# If disabled, the backup will stored in a folder with the timestamp.
zipbackup: true

## Should all the worlds be split into their own foders? (Default: false)
splitbackup: false

## Customize the date format for each backup. (Default: '%1$tY-%1$tm-%1$td-%1$tH-%1$tM-%1$tS' [YYYY-MM-DD-HH-MM-SS])
# This has to be a Java String.format string, see
# http://download.oracle.com/javase/1.5.0/docs/api/java/util/Formatter.html#syntax
dateformat: '%1$tY-%1$tm-%1$td-%1$tH-%1$tM-%1$tS'

#======== FTP Server Settings ==========#

###########################################################
##             !!!  Warning on FTP  !!!                  ##
## This implementation relies on Sun's implemenentation  ##
##  of the FTP protocol, and depending on the version    ##
##  of Java you have installed, it may or may not work.  ##
##     You need sun.net.ftp.FtpClient in your JRE.       ##
##    Please tell me if this works/doesn't for you.      ##
###########################################################


## Should we enable FTP uploads? (Default: false)
# If enabled, following options must be set.
# zipbackup must be true for this to take effect.
ftpuploadenable: false

## The FTP server address to connect to. (Default: none)
# Can be an IP address or a hostname.
ftpserveraddress:

## What port should we connect to on the server? (Default: 22)
# The FTP default port is 21, if you're unsure, don't change this.
ftpserverport: 21

## The username to login to the FTP server with. (Default: none)
ftpusername:

## The password to login to the FTP server with. (Default: none)
ftppassword:

## The directory on the FTP server you would like backups stored in.  (Default: backups)
# Please leave blank for the root directory.
# This folder MUST exist on the FTP server, and will NOT be created!
ftpdirectory: backups


#======== Content Settings ==========#

## What to backup. (Default: true, true)
# Will give warning if either is disabled.
backupworlds: true
backupplugins: true

## Worlds for the backup to skip. (Default: none)
# Seperate by a semicolon. eg. world;world_nether
skipworlds:

## Mode for the below list. (Default: true [Exclude listed files/folders])
# This can be true or false, false makes only the below plugin paths get included.
pluginlistmode: true

## List of files to exclude/include from the plugin backup. (Default: none)
# Seperate by a semicolon. eg. Plugin1;Plugin2;Plugin3. This takes effect inside plugins/
pluginlist:

#======== Notification & Logging Settings ==========#

## Should we display messages in server/console log? (Default: true)
# If false messages will only be logged to file.
displaylog: true

## Should we send messages in-game on backup complete. (Default: true)
# False will only notify players with the "backup.notify" permission.
notifyallplayers: true

## Enable online version checking? (Default: true)
# Requires internet connectivity.
enableversioncheck: true

###############################################
##   Internal Settings (Read: DO NOT EDIT)   ##
###############################################

requiredstrings: str-200
version: 2.0
